%define majver %(echo %version | cut -d. -f1-2)

Name:          podofo
Version:       0.9.3
Release:       2mamba
Summary:       Tools based on libpodofo to work with the PDF file format
Group:         System/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Ercole 'ercolinux' Carpanetto <ercole69@gmail.com>
URL:           http://podofo.sourceforge.net/
Source:        https://downloads.sourceforge.net/project/podofo/podofo/%{version}/podofo-%{version}.tar.gz
Patch0:        podofo-0.9.3-gcc-4.9.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgcc
BuildRequires: libidn-devel
BuildRequires: libjpeg-devel
BuildRequires: liblua-devel
BuildRequires: libopenssl-devel
BuildRequires: libpng-devel
BuildRequires: libstdc++6-devel
BuildRequires: libtiff-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
Requires:      libpodofo = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
The PoDoFo library is a free, portable C++ library which includes classes to parse PDF files and modify their contents into memory.
The changes can be written back to disk easily.
The parser can also be used to extract information from a PDF file (for example the parser could be used in a PDF viewer).
Besides parsing PoDoFo includes also very simple classes to create your own PDF files.
All classes are documented so it is easy to start writing your own application using PoDoFo. 

%package -n libpodofo
Group:         System/Libraries
Summary:       A library to work with the PDF file format

%description -n libpodofo
The PoDoFo library is a free, portable C++ library which includes classes to parse PDF files and modify their contents into memory.
The changes can be written back to disk easily.
The parser can also be used to extract information from a PDF file (for example the parser could be used in a PDF viewer).
Besides parsing PoDoFo includes also very simple classes to create your own PDF files.
All classes are documented so it is easy to start writing your own application using PoDoFo.

%package -n libpodofo-devel
Group:         Development/Libraries
Summary:       Libraries and headers for %{name}
Requires:      libpodofo = %{?epoch:%epoch:}%{version}-%{release}
Provides:      podofo-devel
Obsoletes:     podofo-devel

%description -n libpodofo-devel
This package contains libraries and header files for developing applications that use lib%{name}.

%prep
%setup -q
%ifnarch x86_64
%patch0 -p1
%endif

%build
%cmake -d build \
   -DPODOFO_BUILD_SHARED:BOOL=TRUE \
   -DPODOFO_BUILD_STATIC:BOOL=FALSE \
   -DLUA_INCLUDE_DIR=`pkg-config --variable=includedir lua5.1` \
   -DFREETYPE_INCLUDE_DIR=%{_includedir}/freetype2 \
   -DPODOFO_HAVE_JPEG_LIB=1 \
   -DPODOFO_HAVE_PNG_LIB=1 \
   -DPODOFO_HAVE_TIFF_LIB=1 \
%ifarch x86_64
   -DWANT_LIB64=1 \
%endif

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n libpodofo -p /sbin/ldconfig
%postun -n libpodofo -p /sbin/ldconfig

%files -n libpodofo
%defattr(-,root,root)
%{_libdir}/libpodofo.so.*

%files -n libpodofo-devel
%defattr(-,root,root)
%dir %{_includedir}/podofo
%{_includedir}/podofo/*
%{_libdir}/libpodofo.so

%files
%defattr(-,root,root)
%{_bindir}/podofo*
%{_mandir}/man1/podofo*.1*

%changelog
* Sat Sep 27 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.3-2mamba
- patch against gcc 4.9

* Mon Aug 18 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.3-1mamba
- update to 0.9.3

* Sat Jul 20 2013 Automatic Build System <autodist@mambasoft.it> 0.9.2-1mamba
- automatic version update by autodist

* Thu Jun 28 2012 Davide Madrisan <davide.madrisan@gmail.com> 0.9.1-3mamba
- do not require %{__install_info}
- add missing AUTOBUILDREQ-END
- fix build for x86_64 architecture

* Wed Apr 11 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.1-2mamba
- build as shared library
- create libpodofo and libpodofo-devel (obsolete podofo-devel)

* Sun Jul 24 2011 Automatic Build System <autodist@mambasoft.it> 0.9.1-1mamba
- update to 0.9.1

* Mon Dec 27 2010 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 0.8.4-1mamba
- package created by autospec
